注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

HelloWorld

echo "Hello world !"

 
 
 

日志

 
 

HTML5 兼容 IE 的写法  

2014-08-29 09:34:29|  分类: 学习笔记 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

 

来作为IE8的兼容方法,虽然微软将IE向标准迈进了一大步,而事实上IE8还存在一系列渲染的奇怪现象是不争的事实。谁让IE6那么多呢,或许2014年以后我们可以有更多的时间去关心IE8,而不是IE6或者IE7。

 

 
  1. <!DOCTYPE html> 
  2. <!–[if IE]> 
  3. <meta http-equiv=”X-UA-Compatible” content=”IE=8″ /> 
  4. <![endif]–> 
  5. <!–[if IE 7]> 
  6. <meta http-equiv=”X-UA-Compatible” content=”IE=7″ /> 
  7. <![endif]–> 
  8. <!–[if IE 6]> 
  9. <meta http-equiv=”X-UA-Compatible” content=”IE=6″ /> 
  10. <![endif]–> 

 
 
关于X-UA-Compatible
目前绝大多数网站都用
  1. <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" > 
 
来作为IE8的兼容方法,虽然微软将IE向标准迈进了一大步,而事实上IE8还存在一系列渲染的奇怪现象是不争的事实。
谁让IE6那么多呢,或许2014年以后我们可以有更多的时间去关心IE8,而不是IE6或者IE7。
 
在X-UA-Compatible中可用的方法有:
  1. <meta http-equiv="X-UA-Compatible" content="IE=5" > 
  2. <meta http-equiv="X-UA-Compatible" content="IE=7" > 
  3. <meta http-equiv="X-UA-Compatible" content="IE=8" > 
  4. <meta http-equiv="X-UA-Compatible" content="IE=edge" > 
 
其中最后一行是永远以最新的IE版本模式来显示网页的。
另外加上
  1. <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" > 
  2. <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" > 
 
而使用,Emulate模式后则更重视<!DOCTYPE>
 

所以目前来说还是以

  1. <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" > 

为首选。

 

微软自己创下的罪孽让他自己去扫吧。

 

HTML 5兼容IE的写法 - 北京妞儿 - 北京妞儿
  评论这张
 
阅读(58)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017